var
  a: string;
  i, n: longint;
  ans: shortint;

begin
  assign(input, 'game.in');
  reset(input);
  assign(output, 'game.out');
  rewrite(output);

  read(a);
  n := length(a);
  ans := -1;
  for i := 1 to n do
    if ((n - i + 1) mod 2 = 0) and (a[i] <> '0') and ((a[i] <> '1') or (i <> 1)) or ((n - i + 1) mod 2 = 1) and (a[i] <> '9') then begin
      if i mod 2 = 1 then
        ans := 1
      else
        ans := 2;
      break;
    end;
  if ans = -1 then
    if n mod 2 = 1 then
      ans := 1
    else
      ans := 2;

  if ans = 1 then
    writeln('First')
  else
    writeln('Second');

  close(input);
  close(output);
end.

